For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate a workflow session report

URL

GET https://api.complycube.com/v1/reports?workflowSessionId=:id

Generates a workflow session PDF report.

This endpoint returns a content URL in data. Use that URL to download the PDF file. The URL remains valid for 10 minutes.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Query parameters

Name
Type
Description

workflowSessionId*

string

The ID of the workflow session.

Example request

curl -X GET https://api.complycube.com/v1/reports?workflowSessionId={:workflowSessionId} \
     -H 'Authorization: <YOUR_API_KEY>' 

Example responses

{
    "contentType": "application/json",
    "data": "<CONTENT_URL>"
}
{
    "type": "resource_not_found",
    "message": "Invalid workflow session id '5eaecff4a675310007440c08'"
}